#!/bin/sh

if [ x$JAVA_HOME == x ]; then
  echo "Please set JAVA_HOME"
  exit 1
fi

TYPE=$1
BIN=$PWD/bin/$2
JAR=$3

echo $BIN
echo $JAR
echo "[jar-start.sh]Start Jar File!"
CMD="$JAVA_HOME/bin/java -Djava.security.egd=file:/dev/./urandom "

ARGS=("$@")
for (( c=3; c<$#; c++ ))
do
  CMD=$CMD" ${ARGS[$c]}";
done

cd $BIN
CMD=$CMD" -jar $BIN/$JAR"
echo "[jar-start.sh - command]"$CMD

nohup $CMD 1> /dev/null 2>&1 &
